## lirc 0.10.0

=== debian/changelog ===
lirc (0.10.0-2) unstable; urgency=medium

  * Fixed missing media/lirc.h, closes: #872074
  * Fixed VCS browser path
  * Fixed upstream bug #294 (VPATH build issues, in -1).
  * Fixed upstream bug #295  - lircmd non-existing socket writes, in -1.

 -- Alec Leamas <leamas.alec@gmail.com>  Sun, 13 Aug 2017 09:45:34 +0200

lirc (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Bump std-version to 4.0.1
  * Drop dh-autoreconf, useless with compat level 10

 -- Alec Leamas <leamas.alec@gmail.com>  Sat, 12 Aug 2017 06:34:57 +0200

lirc (0.10.0~rc3-1) experimental; urgency=medium

  * New upstream release.
  * kfreebsd build fixes.
  * Remove lingering /etc/init.d/lirc, closes: #865376.
  * Fix absolute path config files, closes: #860065 (rc1).
  * Suggest stopping lircd in devinput "No device available" message,
    closes: #860551 (rc1).

 -- Alec Leamas <leamas.alec@gmail.com>  Thu, 22 Jun 2017 12:22:52 +0200

lirc (0.10.0~rc2-3) experimental; urgency=medium

  * Fix broken dh_python3 invocation.
  * Don't build plugins with runtime linkage errors on kfreebsd.
  * Disable failing python unit tests on kfreebsd and hurd.

 -- Alec Leamas <leamas.alec@gmail.com>  Wed, 14 Jun 2017 16:35:02 +0200

lirc (0.10.0~rc2-2) experimental; urgency=medium

  * Don't hardcode paths to socat and expect (test tools).
  * Don't require socat for hurd builds.
  * Don't run tests if socat is missing (e. g., hurd).
  * Limit plugin load tests to look for errors.

 -- Alec Leamas <leamas.alec@gmail.com>  Tue, 13 Jun 2017 23:24:50 +0200

lirc (0.10.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Fixes upstream #290, lirc-setup does not start.
  * Copyright changes reflecting excluded files in attic/
  * Minimal testsuite.

 -- Alec Leamas <leamas.alec@gmail.com>  Tue, 13 Jun 2017 11:51:06 +0200

lirc (0.10.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Most 0.9.4 patches upstreamed
  * debian/rules update and debian/copyright

 -- Alec Leamas <leamas.alec@gmail.com>  Fri, 19 May 2017 16:57:42 +0200
