=== debian/control ===
Source: lirc
Section: utils
Priority: extra
Homepage: http://sf.net/p/lirc
Standards-Version: 4.0.1
Maintainer: lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>
Uploaders:
  Stefan Lippers-Hollmann <s.l-h@gmx.de>,
  Alec Leamas <leamas.alec@gmail.com>
Vcs-Git: git://git.code.sf.net/p/lirc/git -b debian-0.10
Vcs-Browser: https://sourceforge.net/p/lirc/git/ci/debian-0.10/tree/
Build-Depends:
 debhelper (>= 10),
 dh-exec,
 dh-systemd,
 dh-python,
 doxygen,
 expect [!hurd-any],
 kmod [linux-any],
 libasound2-dev [linux-any kfreebsd-any],
 libftdi1-dev,
 libsystemd-dev [linux-any],
 libudev-dev [linux-any],
 libusb-1.0-0-dev [!kfreebsd-any],
 libusb-dev[!kfreebsd-any],
 libx11-dev,
 man2html-base,
 pkg-config,
 portaudio19-dev,
 python3-dev (>= 3.5),
 python3-setuptools,
 python3-yaml,
 socat [!hurd-any],
 systemd [linux-any],
 xsltproc
# libjs-jquery

Package: lirc
Architecture: any
Depends:
 liblirc0 (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 python3-yaml,
 python3-gi,
 gir1.2-vte
Suggests:
 lirc-compat-remotes,
 lirc-drv-irman,
 lirc-doc,
 lirc-x,
 setserial,
 ir-keytable
Breaks:
 lirc-modules-source (<<0.9~),
 lirc-svga (<<0.9~),
 inputlirc (<<19)
Description: Infra-red remote control support - daemons and utils
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides the daemons and some utilities to support infra-red
 remote controls under Linux.


Package: lirc-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 lsb-base
# libjs-jquery
Replaces:
 lirc (<< 0.9.1)
Breaks:
 lirc (<< 0.9.1)
Description: Infra-red remote control support - website and manual docs
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides the documentation including manual, manpages and
 the public website.


Package: liblirc0
Architecture: any
Multi-Arch: same
Section: libs
Replaces:
 lirc (<< 0.9.1)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base
Breaks:
 lirc (<< 0.9.1)
Description: Infra-red remote control support - Run-time libraries
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 Package contains internal LIRC runtime libs used by external applications
 (liblirc_client.so*), drivers (liblirc_driver.so*) and also internal
 LIRC applications (lirc_private.so*)


Package: liblircclient0
Architecture: any
Section: libs
Depends: liblirc-client0, ${misc:Depends}
Description: Transitional placeholder for obsoleted liblircclient0
 Virtual, empty package used in the process of renaming liblircclient0
 to liblirc-client0.


Package: liblircclient-dev
Architecture: any
Section: libdevel
Depends: liblirc-dev, ${misc:Depends}
Description: Transitional placeholder for obsoleted liblircclient-dev
 Virtual, empty package used in the process of incorporating
 liblircclient-dev in new package liblirc-dev.


Package: liblirc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Provides: liblircclient-dev
Conflicts: liblircclient-dev (<< 0.9.1)
Replaces: liblircclient-dev (<< 0.9.1)
Depends:
 liblirc0 (= ${binary:Version}),
 liblirc-client0 (= ${binary:Version}),
 ${misc:Depends},
 lsb-base
Description: Infra-red remote control support - development files
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 Package contains headers and other support used when developing external
 applications, drivers (liblirc_driver.so) and also internal LIRC
 software. See the User Space Driver API and  Lirc Client API sections
 in the lirc manual available in lirc-doc.


Package: liblirc-client0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lirc
Pre-Depends: ${misc:Pre-Depends}
Breaks:
 inputlirc (<< 19),
 kradio (<< 4),
 liblircclient0 (<=0.9.4~pre1)
Replaces: liblircclient0 (<=0.9.4~pre1)
Description: infra-red remote control support - client library
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides a library with functions to support remote
 controls via LIRC in programs such as xawtv.


Package: lirc-x
Architecture: any
Depends:
 liblirc0 (= ${binary:Version}),
 lirc (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: xfonts-75dpi
Description: infra-red remote control support - X utilities
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides X utilities for LIRC:
  - irxevent: Allows controlling X applications with a remote control.
  - xmode2:   Shows the IR waveform of the remote controller without an
              oscilloscope. Unneeded for TV cards or the Irman.
