=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS      = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND     = -Wl,--as-needed

%:
	dh $@ --with python3,systemd 

override_dh_clean:
	dh_clean
	touch python-pkg/lirc/config.py

override_dh_autoreconf:
	dh_autoreconf $(CURDIR)/autogen.sh

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH_OS), linux)
	dh_auto_configure -- \
	    --enable-uinput --enable-devinput \
	    --enable-silent-rules
else
	dh_auto_configure -- \
	    --disable-uinput --disable-devinput \
	    --enable-silent-rules
endif


override_dh_shlibdeps:
	dh_shlibdeps -l $(CURDIR)/debian/tmp/usr/lib/*/lirc/plugins

override_dh_auto_install:
	$(MAKE) V=0 DESTDIR=$(CURDIR)/debian/tmp \
            pythondir='$$(libdir)/python3/dist-packages' \
	    install
	py3clean debian/tmp
	find debian/tmp -name *.la -delete
	rm -f debian/tmp/usr/share/doc/lirc/lirc.org/api-docs/api-docs
	chmod 755 debian/tmp/usr/share/lirc/python-pkg/lirc/lirctool
ifeq ($(DEB_BUILD_ARCH_OS), linux)
	mkdir -p debian/tmp/usr/lib/tmpfiles.d
	echo "d /var/run/lirc  0755  root  root  10d" \
	    > debian/tmp/usr/lib/tmpfiles.d/lirc.conf
endif
	# Temporary postinstall 0.9.4 script.
	cp debian/lirc-old2new debian/tmp/usr/share/lirc
	# Don't overwrite existing config files.
	for f in lircd.conf lircmd.conf irexec.lircrc lirc_options.conf; do \
	    mv debian/tmp/etc/lirc/$$f debian/tmp/etc/lirc/$$f.dist; \
	done

override_dh_auto_test:
ifneq "nocheck"  "$(findstring nocheck,$(DEB_BUILD_OPTIONS))"
	tools/lirc-lsplugins -U plugins/.libs -s | tee summary
	grep -q "Errors: 0" summary && rm summary
	case $$(dpkg-architecture -qDEB_HOST_GNU_SYSTEM) in \
	    kfreebsd* | gnu) \
	        :  ;; \
	    *)  \
	        cd python-pkg/tests; \
	        python3 -m unittest discover && rm backend.log \
		;; \
	esac
endif


override_dh_systemd_enable:
	dh_systemd_enable --name=lircd

override_dh_install:
	dh_install --fail-missing

override_dh_installinit:
	dh_installinit --package=lirc --name=lircd
	dh_installinit --package=lirc --name=lircmd
	dh_installinit

override_dh_python3:
	dh_python3
	dh_python3 debian/tmp/usr/lib/*/python*/site-packages/lirc
	dh_python3 debian/tmp/usr/lib/*/python*/site-packages/lirc-setup
	dh_python3 debian/tmp/usr/share/lirc/python-pkg

override_dh_fixperms-arch:
	dh_fixperms
	chmod 755 debian/lirc/usr/share/lirc/contrib/irman2lirc
