## lirc 0.10.1

=== debian/changelog ===
lirc (0.10.1-6.1ubuntu1.1) focal; urgency=medium

  * debian/lirc.postinst:
    - restore the postinst snippet ensuring that the configuration files
      exists. It was removed 0.10.1-5.1 in favor of making those proper
      conffiles but the changes were reverted in 0.10.1-5.2 in an incomplete
      way letting the file without configuration installed which leads to
      the service segfaulting and the install failing (lp: #1874130)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 May 2020 11:23:00 +0200

lirc (0.10.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix time.clock usage. Closes: #949835.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Mar 2020 08:55:53 +0100

lirc (0.10.1-6) unstable; urgency=medium

  * Team upload
  * debian/patches/lirc-gpio-ir-0.10.patch:
    - fix for kernel 4.19 (Closes: #931078, 930485).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jul 2019 16:43:06 +0200

lirc (0.10.1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert removal of liblircclient{0,-dev} (Closes: #925477)
  * Revert "Do not install conffiles in a dummy location" (Closes: #925066)

 -- Tobias Frost <tobi@debian.org>  Sat, 06 Apr 2019 15:12:52 +0200

lirc (0.10.1-5.1) unstable; urgency=medium

  * Non-maintainer upload

  * debian/rules
    + Remove rdfind-based dedup (Closes: #919843)
      Using dh_installdocs --link-docs was investigated, and rejected due to
      - limited benefits;
      - interactions between lirc-docs shipping files under /usr/share/doc/lirc,
        but liblirc0 being the obvious candidate due to dependencies.

    + Do not install conffiles in a dummy location
      dpkg will, by default, not overwrite users' conffiles,
      so shipping them in a different location is superfluous.

  * Removed liblircclient{0,-dev}
    They were obsolete transitional packages that predated the stretch release.

  * Rename debian/post{inst,rm} to lirc.post{inst,rm}
  * debian/lirc.{postinst,prerm}: Recompile and remove Python bytecode as needed
    Closes: #924158

  * debian/control: Fix relationships on liblirc{,client}-dev.
    This should be Breaks+Replaces, not Conflict+Replaces.
    Using the former should ensure that upgrading from stretch works smoothly.

  * debian/changelog: Fix spelling in v0.10.1-4

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Tue, 12 Mar 2019 01:33:40 +0100

lirc (0.10.1-5) unstable; urgency=medium

  * Fix upstream #343, --connect parsing error.
  * Add systemd-notify call -> lircd won't start with invalid config files.
  * Move VCS repository (now separate from upstream).
  * Fix lintian command-with-path-in-maintainer-script warning.
  * Fix lintian warning for duplicate files; new rdfind(1) build dep.

 -- Alec Leamas <leamas.alec@gmail.com>  Tue, 01 Jan 2019 09:19:01 -0500

lirc (0.10.1-4) unstable; urgency=medium

  [ Alec Leamas ]
  * Don't use broken LOG_CONS syslog flag, closes: #872749.

  [ Pino Toscano ]
  * Fix build on !linux OS, restrict systemd only to linux OS. closes: #912400

  [ Gianfranco Costamagna ]
  * Team upload
  * Restrict postinst systemd calls only if systemd is installed

  [ Helmut Grohne ]
  * Remove multiarch-annotation fom liblirc-dev (Closes: #874246)

 -- Alec Leamas <leamas.alec@gmail.com>  Fri, 23 Nov 2018 23:41:01 -0500

lirc (0.10.1-3) unstable; urgency=medium

  * Remove links created in postinst, closes: #911548.
  * Add missing Recommends: systemd.
  * Fix insecure URIs in d/control vcs-git: and d/copyright Format:.
  * Add rudimentary upstream/metadata.

 -- Alec Leamas <leamas.alec@gmail.com>  Thu, 25 Oct 2018 13:05:49 -0400

lirc (0.10.1-2) unstable; urgency=medium

  * Team upload.
  * Update maintainer email address (Closes: #899981)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Oct 2018 18:01:50 +0200

lirc (0.10.1-1) unstable; urgency=medium

  * New minor upstream release.
  * Add fix for lirc-setup(1) crash on startup.
  * Services besides lircd.socket disabled after install.
  * Bump standards-version to 4.2.1 without changes.
  * Drop 0001-build... patch now upstreamed.
  * Obsolete priority: extra => optional.

 -- Alec Leamas <leamas.alec@gmail.com>  Fri, 12 Oct 2018 16:51:50 -0400
