=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: lirc
 Section: utils
-Priority: extra
-Homepage: http://sf.net/p/lirc
-Standards-Version: 4.0.1
-Maintainer: lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>
+Priority: optional
+Homepage: https://sf.net/p/lirc
+Standards-Version: 4.3.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Lirc Team <team+debian-lirc@tracker.debian.org>
 Uploaders:
   Stefan Lippers-Hollmann <s.l-h@gmx.de>,
   Alec Leamas <leamas.alec@gmail.com>
-Vcs-Git: git://git.code.sf.net/p/lirc/git -b debian-0.10
-Vcs-Browser: https://sourceforge.net/p/lirc/git/ci/debian-0.10/tree/
+Vcs-Git: https://gitlab.com/leamas/lirc.git
+Vcs-Browser: https://gitlab.com/leamas/lirc
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-exec,
- dh-systemd,
  dh-python,
  doxygen,
  expect [!hurd-any],
@@ -35,6 +35,7 @@
  xsltproc
 # libjs-jquery
 
+
 Package: lirc
 Architecture: any
 Depends:
@@ -45,9 +46,10 @@
  ${python3:Depends},
  ${shlibs:Depends}
 Recommends:
+ gir1.2-vte,
  python3-yaml,
  python3-gi,
- gir1.2-vte
+ systemd [linux-any]
 Suggests:
  lirc-compat-remotes,
  lirc-drv-irman,
@@ -124,10 +126,10 @@
 
 Package: liblirc-dev
 Architecture: any
-Multi-Arch: same
+#Multi-Arch: same
 Section: libdevel
 Provides: liblircclient-dev
-Conflicts: liblircclient-dev (<< 0.9.1)
+Breaks: liblircclient-dev (<< 0.9.1)
 Replaces: liblircclient-dev (<< 0.9.1)
 Depends:
  liblirc0 (= ${binary:Version}),
