=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,10 @@
 export DEB_LDFLAGS_MAINT_APPEND     = -Wl,--as-needed
 
 %:
-	dh $@ --with python3,systemd 
+	dh $@ --with python3
 
 override_dh_clean:
 	dh_clean
-	touch python-pkg/lirc/config.py
 
 override_dh_autoreconf:
 	dh_autoreconf $(CURDIR)/autogen.sh
@@ -31,16 +30,14 @@
 	dh_shlibdeps -l $(CURDIR)/debian/tmp/usr/lib/*/lirc/plugins
 
 override_dh_auto_install:
-	$(MAKE) V=0 DESTDIR=$(CURDIR)/debian/tmp \
-            pythondir='$$(libdir)/python3/dist-packages' \
-	    install
+	$(MAKE) V=0 DESTDIR=$(CURDIR)/debian/tmp install
 	py3clean debian/tmp
 	find debian/tmp -name *.la -delete
 	rm -f debian/tmp/usr/share/doc/lirc/lirc.org/api-docs/api-docs
 	chmod 755 debian/tmp/usr/share/lirc/python-pkg/lirc/lirctool
 ifeq ($(DEB_BUILD_ARCH_OS), linux)
 	mkdir -p debian/tmp/usr/lib/tmpfiles.d
-	echo "d /var/run/lirc  0755  root  root  10d" \
+	echo "d /run/lirc  0755  root  root  10d" \
 	    > debian/tmp/usr/lib/tmpfiles.d/lirc.conf
 endif
 	# Temporary postinstall 0.9.4 script.
@@ -64,9 +61,14 @@
 	esac
 endif
 
-
-override_dh_systemd_enable:
-	dh_systemd_enable --name=lircd
+override_dh_installsystemd:
+ifeq ($(DEB_BUILD_ARCH_OS), linux)
+	dh_installsystemd -p lirc lircd.socket
+	dh_installsystemd -p lirc --no-enable --no-start lircd.service
+	dh_installsystemd -p lirc --no-enable --no-start irexec.service
+	dh_installsystemd -p lirc --no-enable --no-start lircmd.service
+	dh_installsystemd -p lirc --no-enable --no-start lircd-uinput.service
+endif
 
 override_dh_install:
 	dh_install --fail-missing
