=== debian/control ===
Source: lirc
Section: utils
Priority: optional
Homepage: https://sf.net/p/lirc
Standards-Version: 4.6.2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Lirc Team <team+debian-lirc@tracker.debian.org>
Uploaders:
  Stefan Lippers-Hollmann <s.l-h@gmx.de>,
  Alec Leamas <leamas.alec@gmail.com>
Rules-Requires-Root: no
Vcs-Git: https://gitlab.com/leamas/lirc.git
Vcs-Browser: https://gitlab.com/leamas/lirc
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 doxygen,
 expect [!hurd-any],
 kmod [linux-any],
 libasound2-dev [linux-any kfreebsd-any],
 libftdi1-dev,
 libpython3-dev (>= 3.5),
 systemd-dev [linux-any],
 libsystemd-dev [linux-any],
 libudev-dev [linux-any],
 libusb-dev,
 libusb-1.0-0-dev,
 libx11-dev,
 man2html-base,
 pkgconf,
 portaudio19-dev,
 python3-dev:any (>= 3.5),
 python3-setuptools,
 python3-yaml:native,
 socat [!hurd-any],
 systemd [linux-any],
 xsltproc
# libjs-jquery

Package: lirc
Architecture: any
Depends:
 liblirc0t64 (= ${binary:Version}),
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 gir1.2-vte-2.91,
 python3-yaml,
 python3-gi,
 systemd [linux-any]
Suggests:
 lirc-compat-remotes,
 lirc-drv-irman,
 lirc-doc,
 lirc-x,
 setserial,
 ir-keytable
Description: Infra-red remote control support - daemons and utils
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides the daemons and some utilities to support infra-red
 remote controls under Linux.

Package: lirc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
# libjs-jquery
Description: Infra-red remote control support - website and manual docs
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides the documentation including manual, manpages and
 the public website.

Package: liblirc0t64
Provides: ${t64:Provides}
Replaces: liblirc0
Breaks: liblirc0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Infra-red remote control support - Run-time libraries
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 Package contains internal LIRC runtime libs used by external applications
 (liblirc_client.so*), drivers (liblirc_driver.so*) and also internal
 LIRC applications (lirc_private.so*)

Package: liblirc-dev
Architecture: any
#Multi-Arch: same
Section: libdevel
#Provides: liblircclient-dev
Depends:
 liblirc0t64 (= ${binary:Version}),
 liblirc-client0t64 (= ${binary:Version}),
 ${misc:Depends}
Description: Infra-red remote control support - development files
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 Package contains headers and other support used when developing external
 applications, drivers (liblirc_driver.so) and also internal LIRC
 software. See the User Space Driver API and  Lirc Client API sections
 in the lirc manual available in lirc-doc.

Package: liblirc-client0t64
Provides: ${t64:Provides}
Replaces: liblirc-client0
Breaks: liblirc-client0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lirc
Description: infra-red remote control support - client library
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides a library with functions to support remote
 controls via LIRC in programs such as xawtv.

Package: lirc-x
Architecture: any
Depends:
 liblirc0t64 (= ${binary:Version}),
 lirc (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: xfonts-75dpi
Description: infra-red remote control support - X utilities
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides X utilities for LIRC:
  - irxevent: Allows controlling X applications with a remote control.
  - xmode2:   Shows the IR waveform of the remote controller without an
              oscilloscope. Unneeded for TV cards or the Irman.
